# /u/beebe/src/lex/stod/foo2.awk, Sat Apr  6 18:19:50 1991
# Edit by Nelson H. F. Beebe <beebe@000022373100>
# ========================================================================
# Convert a table of pairs of function names (quad and double) to
# rule lines for the lex file, dtoq.l.
# Usage:
#	nawk -f fmtfun2.awk fmtfun.names
# [27-Apr-1993]
# ========================================================================
{
    if (NF == 2)
    {
	brace($2);
	print "\t\t\tcvtstr(\"" $1 "\");";
    }
}

function brace(s, c)
{
    for (k = 1; k <= length(s); ++k)
    {
	c = substr(s,k,1)
	if (islower(c))
	    printf("{%s}",c)
        else
	    printf("%s",c)
    }
    printf("/{W}\"(\"");
}

function islower(c)
{
    return (("a" <= c) && (c <= "z"))
}
